jclouds-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Gaul (Jira)" <j...@apache.org>
Subject [jira] [Resolved] (JCLOUDS-1545) Newer Java 8 versions do not allow 1024-bit RSA certificates
Date Sat, 26 Sep 2020 02:39:00 GMT

     [ https://issues.apache.org/jira/browse/JCLOUDS-1545?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Andrew Gaul resolved JCLOUDS-1545.
----------------------------------
    Resolution: Duplicate

> Newer Java 8 versions do not allow 1024-bit RSA certificates
> ------------------------------------------------------------
>
>                 Key: JCLOUDS-1545
>                 URL: https://issues.apache.org/jira/browse/JCLOUDS-1545
>             Project: jclouds
>          Issue Type: Improvement
>          Components: jclouds-core
>    Affects Versions: 2.3.0, 2.2.1
>            Reporter: Andrew Gaul
>            Assignee: Andrew Gaul
>            Priority: Major
>          Time Spent: 50m
>  Remaining Estimate: 0h
>
> This causes errors during integration tests during the 2.2.1 release:
> > java.security.cert.CertPathValidatorException: Algorithm constraints check failed
on keysize limits. RSA 1024bit key used with certificate: CN=watson.  Usage was tls server



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message